<mat-toolbar class="Header">
    <mat-toolbar-row>

        <button mat-icon-button (click)="toggleSideBar()">
            <mat-icon>menu</mat-icon>
        </button>
        <h3>
            {{ title | translate }}
        </h3>
        <span> </span>

        <div fxFlex fxLayout="row" fxLayoutAlign="flex-end">
            <ul fxLayout="row" fxLayoutGap="20px">
                <li>
                    <button aria-label="select language button" mat-icon-button [matMenuTriggerFor]="matmenu">
                        <mat-icon>language</mat-icon>
                    </button>
                    <mat-menu #matmenu="matMenu">
                        <div mat-menu-item *ngFor="let lang of languages">
                            <a class="language-link" (click)="changeLanguage(lang.name)">
                                <mat-icon>flag</mat-icon>
                                <span>{{lang.label}}</span>
                            </a>
                        </div>
                    </mat-menu>
                </li>
                <li>
                    <a routerLink="/aide" mat-icon-button>
                        <mat-icon>help_outline</mat-icon>
                    </a>
                </li>



                <li>

                    <button mat-button [matMenuTriggerFor]="menu" class="user mt-2 d-flex align-items-center">
                        <img src="https://randomuser.me/api/portraits/men/1.jpg" alt="" class="user-image mr-1 p-2" />
                        <mat-icon class="user-image-icon ml-1">keyboard_arrow_down</mat-icon>
                    </button>
                    <mat-menu #menu="matMenu">
                        <button mat-menu-item (click)="logout()">
                            <mat-icon>exit_to_app</mat-icon>
                            Logout
                        </button>
                    </mat-menu>
                </li>
                <li>
                    <mat-slide-toggle [(ngModel)]="DarkModechecked" (change)="ModeChanged()" class="mr-8">
                    </mat-slide-toggle>
                </li>

                <li>
                    <button mat-icon-button (click)="toggleleftBar()">
                        <mat-icon>menu</mat-icon>
                    </button>
                </li>
            </ul>

        </div>

    </mat-toolbar-row>
</mat-toolbar>